#ifndef _VUART_H
#define _VUART_H

#include "queue.h"

#define NR_VUART 32

#define DOM0_READ_Q 1
#define DOM0_WRITE_Q 0

#define DOMU_READ_Q 0
#define DOMU_WRITE_Q 1

extern volatile queue_t *vuart_queues;
extern int vuart_inbyte_nowait(void);
extern int vuart_inbyte(void);
extern void vuart_outbyte(char c);
extern void vuart_init(void);

#endif
