#include <stdio.h>

#include "nlm_soclib.h"

int main(int argc, char *argv[])
{
	struct nlm_soclib_timer timer;
	struct nlm_soclib_perfctr perfctr;

	nlm_soclib_init();
	nlm_soclib_perfctr_init(&perfctr);
	nlm_soclib_timer_init(&timer);

	nlm_soclib_timer_start(&timer);
	nlm_soclib_perfctr_start(&perfctr);

	sleep(1);

	nlm_soclib_perfctr_stop_accum(&perfctr);
	nlm_soclib_timer_stop(&timer);

	printf("time taken = %g secs\n", nlm_soclib_timer_seconds(&timer));

	nlm_soclib_perfctr_print(&perfctr);

	return 0;
}
