#include <reent.h>
#include <errno.h>
#include <devices.h>

static int tmpfs_open(struct _reent *ptr, const char *file, int flags, int mode)
{
	ptr->_errno = EIO;
	return -1;
}

static _ssize_t tmpfs_read(struct _reent *ptr, int fd, char *buf, size_t nbytes)
{
	ptr->_errno = EIO;
	return -1;
}

static _ssize_t tmpfs_write(struct _reent *ptr, int fd, const char *buf, size_t nbytes)
{
	ptr->_errno = EIO;
	return -1;
}

static int tmpfs_close(struct _reent *ptr, int fd)
{
	return 0;
}

static void tmpfs_init(void)
{
}

struct device_ops dev_tmpfs = {
	.name 		= "tmpfs",
	.open_r 	= tmpfs_open,
	.read_r 	= tmpfs_read,
	.write_r 	= tmpfs_write,
	.close_r 	= tmpfs_close,
	.init 		= tmpfs_init
};
